import request from '@/utils/request'

// 查询资源库管理列表
export function listCtResourceLibrary(query) {
  return request({
    url: '/business/ctResourceLibrary/list',
    method: 'get',
    params: query
  })
}

// 查询资源库管理详细
export function getCtResourceLibrary(id) {
  return request({
    url: '/business/ctResourceLibrary/' + id,
    method: 'get'
  })
}

// 新增资源库管理
export function addCtResourceLibrary(data) {
  return request({
    url: '/business/ctResourceLibrary',
    method: 'post',
    data: data
  })
}

// 修改资源库管理
export function updateCtResourceLibrary(data) {
  return request({
    url: '/business/ctResourceLibrary',
    method: 'put',
    data: data
  })
}

// 删除资源库管理
export function delCtResourceLibrary(id) {
  return request({
    url: '/business/ctResourceLibrary/' + id,
    method: 'delete'
  })
}
